PLIPCONFIG(8)

NOM
plipconfig - réglage fin des paramètres du périphérique PLIP

SYNOPSIS
plipconfig interface
plipconfig interface [nibble NN] [trigger NN] [unit NN]

DESCRIPTION
Plipconfig est utilisé pour améliorer (espérons-le) les performances PLIP en changeant les timings par défaut utilisés par le protocole PLIP. Les résultats dépendent du port parallèle utilisé, du cable, et de la vitesse CPU de chaque machine à chaque bout du lien PLIP.

Si le seul argument est l' interface , plipconfig affiche seulement l'état de cette interface. Autrement, il essaiera de positionner les options données.

OPTIONS

nibble NN
    Définit la valeur d'attente des digits en microsecondes. Par défault : 3000.

trigger NN
    Définit le délai de déclenchement en microsecondes. Par défault : 500.

La vitesse de PLIP peut, dans certains cas, être améliorée en diminuant les valeurs par défaut. Les valeurs trop petites peuvent engendrer une utilisation excessive de CPU, et un temps de réponse aux interruptions mauvais, dont le résultat est la perte de caractères lus sur le port, ou de paquets PLIP. La modification du MTU PLIP peut aussi affecter la vitesse PLIP.

NOTE
Si vous n'obtenez aucune réponse, il est fort probable que l'IRQ configurée soit mauvaise, et qu'elle nécessite une configuration avec ifconfig. Les quelques cas pour lesquels les timings par défaut sont trop courts, arrivent lorque l'on utilise de longs cables. Quelque chose à ne pas faire, puisque le port parallèle n'est pas fait pour fonctionner avec de longs cables.

VOIR AUSSI
ifconfig(8)

BUGS
Non.

AUTEURS
John Paul Morrison, <jmorriso@bogomips.ee.ubc.ca>, <ve7jpm@ve7jpm.ampr.org>

TRADUCTION
Jean-Michel VANSTEENE (vanstee@worldnet.fr)